Index: /main/trunk/greenstone2/etc/oai.cfg
===================================================================
--- /main/trunk/greenstone2/etc/oai.cfg	(revision 30560)
+++ /main/trunk/greenstone2/etc/oai.cfg	(revision 30561)
@@ -29,5 +29,5 @@
 # oaiserver program if not specified here, but may use 'xxx.xxx.xxx.xxx' 
 # IP address, but NOT a human-readable domain name like 'www.mylibrary.com'.
-# If you edit this, it must include the port number if not using port 80.
+# If you edit this, it must include the port number if not using port 8282.
 #baseServerURL "http://your-domain-name:port"
 
Index: /main/trunk/greenstone2/llssite.cfg.in
===================================================================
--- /main/trunk/greenstone2/llssite.cfg.in	(revision 30560)
+++ /main/trunk/greenstone2/llssite.cfg.in	(revision 30561)
@@ -3,5 +3,5 @@
 keeplog=0
 consolelog=0
-portnumber=80
+portnumber=8282
 keepport=0
 externalaccess=0
Index: /main/trunk/greenstone2/perllib/servercontrol.pm
===================================================================
--- /main/trunk/greenstone2/perllib/servercontrol.pm	(revision 30560)
+++ /main/trunk/greenstone2/perllib/servercontrol.pm	(revision 30561)
@@ -378,5 +378,5 @@
 	    my @lines = split(/[\n\r]+/, $contents); # split on carriage-returns and/or linefeeds
 	    my $enterlib = "";
-	    my $portnumber = ""; # will remain empty (implicit port 80) unless it's specifically been assigned
+	    my $portnumber = "8282"; # will remain empty (implicit port 80) unless it's specifically been assigned
 	    
 	    foreach my $line (@lines) {				
Index: /main/trunk/greenstone2/perllib/util.pm
===================================================================
--- /main/trunk/greenstone2/perllib/util.pm	(revision 30560)
+++ /main/trunk/greenstone2/perllib/util.pm	(revision 30561)
@@ -1207,5 +1207,5 @@
 
 #
-# The following comaes from activate.pl
+# The following comes from activate.pl
 #
 # Designed to work with a server included with GS.
@@ -1242,5 +1242,5 @@
 	    my @lines = split(/[\n\r]+/, $contents); # split on carriage-returns and/or linefeeds
 	    my $enterlib = "";
-	    my $portnumber = ""; # will remain empty (implicit port 80) unless it's specifically been assigned
+	    my $portnumber = "8282"; # will remain empty (implicit port 80) unless it's specifically been assigned
 	    
 	    foreach my $line (@lines) {				
Index: /main/trunk/greenstone2/runtime-src/src/w32server/fnord.cpp
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/w32server/fnord.cpp	(revision 30560)
+++ /main/trunk/greenstone2/runtime-src/src/w32server/fnord.cpp	(revision 30561)
@@ -370,5 +370,5 @@
     write_settings(gsdl_url);
 
-    if (gsdl_port_num != 80) {
+    if (gsdl_port_num != 8282) {
       url += ":" + text_t(gsdl_port_num);
     }
Index: /main/trunk/greenstone2/runtime-src/src/w32server/netio.cpp
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/w32server/netio.cpp	(revision 30560)
+++ /main/trunk/greenstone2/runtime-src/src/w32server/netio.cpp	(revision 30561)
@@ -239,6 +239,6 @@
     
     // Or choose another port number to try
-    if (bind_port == 80) bind_port = IPPORT_RESERVED+1;
-    else if (bind_count == 0) bind_port = 80;
+    if (bind_port == 8282) bind_port = IPPORT_RESERVED+1;
+    else if (bind_count == 0) bind_port = 8282;
     else ++bind_port;
   }
Index: /main/trunk/greenstone2/runtime-src/src/w32server/settings.cpp
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/w32server/settings.cpp	(revision 30560)
+++ /main/trunk/greenstone2/runtime-src/src/w32server/settings.cpp	(revision 30561)
@@ -60,5 +60,5 @@
 
 // general settings
-int gsdl_port_num = 80;
+int gsdl_port_num = 8282;
 int gsdl_external_access = 0;
 int gsdl_auto_enter = 0;
@@ -406,5 +406,5 @@
   
   // general settings
-  gsdl_port_num = 80;
+  gsdl_port_num = 8282;
   gsdl_external_access = 0;
   if(gsdl_mode_property_prefix == "") {
@@ -649,5 +649,5 @@
   // port number
   gsdl_port_num = GetDlgItemInt(hwndDlg, SERVER_PORT_EDIT_BOX, &bres, 0);
-  if (!bres) gsdl_port_num = 80;
+  if (!bres) gsdl_port_num = 8282;
 
   // whether to allow external access or not
Index: /main/trunk/greenstone2/runtime-src/src/w32server/wincgiutils.cpp
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/w32server/wincgiutils.cpp	(revision 30560)
+++ /main/trunk/greenstone2/runtime-src/src/w32server/wincgiutils.cpp	(revision 30561)
@@ -33,5 +33,5 @@
 #include "wincgiutils.h"
 
-#define default_http_port 80
+#define default_http_port 8282
 
 // Attempt to break a url into segments. If the parsing fails, 'name' is