Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 30563)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 30569)
@@ -1,23 +1,23 @@
 #***** IMAGE URLS *****
-expand_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/expand.png
-collapse_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/collapse.png
-page_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/page.png
-chapter_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/chapter.png
-realistic_books_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/rbook.png
-slideshow_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/slideshow.png
-highlight_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/hl.png
-bookshelf_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/bookshelf.png
-book_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/book.png
-loading_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/loading.gif
-page_icon_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/itext.gif
-trash_full_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/trash-full.png
-trash_empty_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/trash-empty.png
-blank_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/blankImage.png
-next_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/next.png
-prev_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/previous.png
-zoom_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/zoom.png
-left_arrow_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/leftarrow.png
-float_toc_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/floattoc.png
-green_bug_image:interfaces/__ÐÐÐÐÐÐÐÐ_ÐÐÐ¢ÐÐ Ð€ÐÐÐ¡Ð__/images/GB.png
+expand_image:interfaces/__INTERFACE_NAME__/images/expand.png
+collapse_image:interfaces/__INTERFACE_NAME__/images/collapse.png
+page_image:interfaces/__INTERFACE_NAME__/images/page.png
+chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+realistic_books_image:interfaces/__INTERFACE_NAME__/images/rbook.png
+slideshow_image:interfaces/__INTERFACE_NAME__/images/slideshow.png
+highlight_image:interfaces/__INTERFACE_NAME__/images/hl.png
+bookshelf_image:interfaces/__INTERFACE_NAME__/images/bookshelf.png
+book_image:interfaces/__INTERFACE_NAME__/images/book.png
+loading_image:interfaces/__INTERFACE_NAME__/images/loading.gif
+page_icon_image:interfaces/__INTERFACE_NAME__/images/itext.gif
+trash_full_image:interfaces/__INTERFACE_NAME__/images/trash-full.png
+trash_empty_image:interfaces/__INTERFACE_NAME__/images/trash-empty.png
+blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+next_image:interfaces/__INTERFACE_NAME__/images/next.png
+prev_image:interfaces/__INTERFACE_NAME__/images/previous.png
+zoom_image:interfaces/__INTERFACE_NAME__/images/zoom.png
+left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
 
 #***** TEXT FRAGMENTS *****