Index: main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- main/trunk/gli/classes/dictionary_gu.properties	(revision 30598)
+++ main/trunk/gli/classes/dictionary_gu.properties	(revision 30606)
@@ -1042,5 +1042,12 @@
 MissingPDFBox.Title:PDFBox àªàªà«àªžàªà«àªàª¶àªš àª®àª³àª€à«àª àªšàª¥à«
 #******** Multiple filename encodings not supported *******
+NoEncodingSupport.Message:àª€àª®àªŸàª°àªŸ àª²à«àªà«àª² UTF-8 àª®àªŸàª àª¹à«àª¯ àª€à«àªµà«àªÂ  àª²àªŸàªà« àªà«. UTF-8 àªš àª¹à«àª¯ àª€à« àª«àªŸàªàª²àªšàªŸàª® àª€àª®àªŸàª°àªŸ àªžà«àªàª
+àªªàªšà« àªžàªªà«àª°à«àª àªàª°àª€à«àª àªšàª¥à«.
+NoEncodingSupport.Title:àªà«àª àª«àªŸàªàª²àªšàªŸàª® àªàªšà«àªà«àª¡àª¿àªàª àªžàªªà«àª°à«àª àªšàª¥à«
 #******** Non-standard collect home *******
+NonStandardCollectHome.Message:àª€àª®àªŸàª°à«àª àª¹àªŸàª²àªšà«àª àªžàªàªà«àª°àª¹ àªàª° {0} àª€àª®àªŸàª°àªŸ àªà«àª°à«àªšàªžà«àªà«àªš àªàªšà«àªžà«àªà«àª²à«àª¶àªšàªšà« àª¬àª¹àªŸàª° àªà« àª
+àªšà« {1}àªšà« àªàªà«àª¯àªŸàª àª€à« àª€à«àªšà« àª¡àª¿àª«à«àª²à«àª àªžàªàªà«àª°àª¹ àª¡àª¿àª°à«àªà«àªàª°à« àªšàª¥à«. àª€àª®àªŸàª°à« àªªàªžàªàªŠàªà«àªšà« àªžàªàªà«àª°àª¹ àª¡àª¿àª°à«àªà«àªàª°à«àª®àªŸàª àªàªŸàª® àªàª°àªµàªŸ àª®àªŸàªà« File &gt; Preferences &gt; Connectionàª®àªŸàª àªàªŸàªµ àª
+àªšà« àªžàªàªà«àª°àª¹ àª¡àª¿àª°à«àªà«àªàª°à« àª«àª¿àª²à«àª¡àªšà« àª«à«àª²à«àª¡àª° àªžàªŸàª¥à« àªžà«àª àªàª°à«.
+NonStandardCollectHome.Title:àªšà«àªš-àªžà«àªàªŸàªšà«àª¡àª°à«àª¡ àªžàªàªà«àª°àª¹ àªàª°
 #*****************************
 #
@@ -1064,11 +1071,32 @@
 NewCollectionPrompt.OtherCollections:--àª
 àªšà«àª¯ àªžàªàªà«àª°àª¹à«à¥€...--
+NewCollectionPrompt.Select:àªªàªžàªàªŠ àªàª°à«
+NewCollectionPrompt.Title:àªšàªµà« àªžàªàªà«àª°àª¹ àª€à«àª¯àªŸàª° àªàª°à«.
+NewCollectionPrompt.Title_Clash:àª€àª®àªŸàª°àªŸ àªžàªàªà«àª°àª¹ àª®àªŸàªà« àª€àª®à« àªà« àª¶à«àª°à«àª·àª àªªàªžàªàªŠ àªàª°à«àª¯à«àª àªà« àª€à« àªªàª¹à«àª²à«àª¥à« àªàªªàª¯à«àªàª®àªŸàª àªà«. àªàªàª³ àªµàª§àªµà«àª àªà«?
+NewCollectionPrompt.Title_Error:àª¶à«àª°à«àª·àª àª«àª¿àª²à«àª¡ àª­àª°àªµà«àª àª«àª°àªà«àª¯àªŸàª€ àªà«. àªà«àªªàªŸ àªàª°à« àª€à«àªšà« àªžà«àª§àªŸàª°à«.
 #***** New Folder OrFilePrompt *****
+NewFolderOrFilePrompt.Default_File_Name:àª¬àªšàªŸàªµàªà«
+NewFolderOrFilePrompt.Default_Folder_Name:àªšàªµà«àª àª«à«àª²à«àª¡àª°
+NewFolderOrFilePrompt.Destination_Name:àªšàª¿àª°à«àª§àªŸàª°àª¿àª€ àª«à«àª²à«àª¡àª°
+NewFolderOrFilePrompt.File_Name:àª«àªŸàªàª² àªšàªŸàª®
+NewFolderOrFilePrompt.File_Name_Tooltip:àªšàªµà« àª«àªŸàªàª² àª®àªŸàªà« àªšàªŸàª® àªŠàªŸàªàª² àªàª°à«
+NewFolderOrFilePrompt.Folder_Name:àª«à«àª²à«àª¡àª° àªšàªŸàª®
+NewFolderOrFilePrompt.Folder_Name_Tooltip:àªšàªµàªŸ àª«à«àª²à«àª¡àª° àª®àªŸàªà« àªšàªŸàª® àªŠàªŸàªàª² àªàª°à«
+NewFolderOrFilePrompt.Title_Folder:àªšàªµà«àª àª«à«àª²à«àª¡àª° àª€à«àª¯àªŸàª° àªàª°à«
+NewFolderOrFilePrompt.Title_File:àªšàªµà« àª¬àªšàªŸàªµàªà« àªªà«àª°àª²à«àª àª€à«àª¯àªŸàª° àªàª°à«
 #**********************
 #
 #******* OldWGET *******
+NoPluginExpectedToProcessFile.Message:àªà«àª°à«àªšàªžà«àªà«àªšàªšàªŸ àªàªàªªàª£ àªªà«àª²àªà«àªšà«àªž "{0}" àª«àªŸàªàª²àªšà« àªªà«àª°àª€à«àª¯àªà«àª· àª°à«àª€à« àªªà«àª°à«àªžà«àªž àªàª°à« àª€à«àªµà«àª àª²àªŸàªàª€à«àª àªšàª¥à«. (àª€à«àª® àªàª€àªŸàª, àªà« àª€à« àª
+àªšà«àª¯ àªà«àª àª«àªŸàªàª² àª¹à«àª¯ àª€à« àª€à«àªšà« àªžàªàªà«àª°àª¹àª®àªŸàª àª€à«àªšà« àªžàª®àªŸàªµà«àª¶ àªàª°àª¶à«, àªà«àª® àªà« àªµà«àª¬àªªà«àª àª®àªŸàª àªà«àª àªàª®à«àª àª¹à«àª¯.) àªàªŸàª€àª°à« àªàª°à« àªà« àª€à« àª«àªŸàªàª²àªšà« àªžàªŸàªà«àª àªàªà«àªžàªà«àªàª¶àªš àª¹à«àª¯. àªà« àªžàªŸàªà«àª àªàªà«àªžàªà«àªàª¶àªš àª¹à«àª¯ àª€à« àªªàªà« àª€àª®àªŸàª°à« àª€à« àª«àªŸàªàª² àªªà«àª°à«àªžà«àªž àªàª°àªµàªŸ àª®àªŸàªà« UnknownPlugàªšà« àªàªªàª¯à«àª àªàª°àªµà« àªªàª¡àª¶à«.
+NoPluginExpectedToProcessFile.Title:àªàªàªªàª£ àªªà«àª²àªà«àªš àª«àªŸàªàª²àªšà« àªªà«àª°à«àªžà«àªž àªàª°à« àª€à«àªµà«àª àª²àªŸàªàª€à«àª àªšàª¥à«
 #***********************
 #
 #***** OpenCollectionDialog *****
+OpenCollectionDialog.Available_Collections:àªàªªàª²àª¬à«àª§ àªžàªàªà«àª°àª¹à«
+OpenCollectionDialog.Description:àªžàªàªà«àª°àª¹àªšà«àª àªµàª°à«àª£àªš
+OpenCollectionDialog.Open:àªà«àª²à«
+OpenCollectionDialog.Open_Tooltip:àª²àªŸàªàª¬à«àª°à«àª°àª¿àª¯àªš àªàªšà«àªàª°àª«à«àªžàª®àªŸàª àªžàªàªà«àª°àª¹àªšà« àª²à«àª¡ àªàª°à«
+OpenCollectionDialog.Title:àªà«àª°à«àªšàªžà«àªà«àªš àªžàªàªà«àª°àª¹ àªà«àª²à«
 #**********************
 #
@@ -1116,7 +1144,84 @@
 #
 #***** Options Pane inside CreatePane *****
+OptionsPane.Cancelled:- àª°àªŠ àªàª°à«àª¯à«àª
+OptionsPane.LogHistory:àª²à«àª àªàª€àª¿àª¹àªŸàªž
+OptionsPane.Successful:- àªžàª«àª³
+OptionsPane.Scheduled:- àªžàª®àª¯àªªàª€à«àª°àª
+OptionsPane.Unknown:- àª
+àªªàª°àª¿àªàª¿àª€
+OptionsPane.Unsuccessful:- àª
+àªžàª«àª³
 #*******************
 #
 #***** Preferences *****
+Preferences:àªªà«àª°à«àª«à«àª°à«àªšà«àªžàª¿àª
+Preferences.Connection:àªàªšà«àªà«àª¶àªš
+Preferences.Connection_Tooltip:àªà«àª°à«àªšàªžà«àªà«àªš àª²àªŸàªàª¬à«àª°à«àª°à«àª®àªŸàª URL àªžà«àª àªàª°à« àª
+àªšà« àªà« àª
+àªšà«àªà«àª³ àª¹à«àª¯ àª€à« àªªà«àª°à«àªà«àª·à« àªàªšà«àªà«àª¶àªš àªàªšà«àª«àª¿àªà«àª¯à«àª° àªàª°à«Â 
+Preferences.Connection.GLIServer_URL:àªà«àª°à«àªšàªžà«àªà«àªš gliserver URL:
+Preferences.Connection.GLIServer_URL_Tooltip:àªà«àª°à«àªšàªžà«àªà«àªš "gliserver" CGI àªžà«àªà«àª°à«àªªà«àªàªšà«àª URL
+Preferences.Connection.Library_Path:àª²àªŸàªàª¬à«àª°à«àª°à« àªªàªŸàª¥:
+Preferences.Connection.Library_Path_GS3:àªà«àª°à«àªšàªžà«àªà«àªš àªµà«àª¬ àªªàªŸàª¥:
+Preferences.Connection.Library_Path_Tooltip:àªà«àª°à«àªšàªžà«àªà«àªš àªµà«àª¬-àªžàª°à«àªµàª°àªšà«àª URL
+Preferences.Connection.Library_Path_Tooltip_GS3:àªà«àª°à«àªšàªžà«àªà«àªš àªµà«àª¬-àªžàª°à«àªµàª°àªšà«àª URL
+Preferences.Connection.Library_Path_Connection_Failure:àªàªšà«àªà«àª àª¥àªµàªŸàª®àªŸàª àª
+àªžàª«àª³. àªàªŸàª€àª°à« àªàª°à« àªà« {0}àªªàª° àªà«àª°à«àªšàªžà«àªà«àªš àªžàª°à«àªµàª° àªàªŸàª²à« àª¹à«àª¯.
+Preferences.Connection.CollectDirectory:àªžàªàªà«àª°àª¹ àª¡àª¿àª°à«àªà«àªàª°à«:
+Preferences.Connection.CollectDirectory_Tooltip:àªžàªàªà«àª°àª¹ àª¡àª¿àª°à«àªà«àªàª°à«àªšà« àªà«àª¡àª€à« àªªàªŸàª¥ àªà« àªà«àªšà« àªžàªŸàª¥à« àª€àª®à« àªàªŸàª® àªàª°àªµàªŸ àªàªà«àªà« àªà«.
+Preferences.Connection.ProgramCommand:àªàª®àªŸàªšà«àª¡àªšà«àª àªªà«àª°à«àªµà«àª¯à« àªàª°à«:
+Preferences.Connection.ProgramCommand_Tooltip:àªžàªàªà«àª°àª¹àªšà«àª àªªà«àª°à«àªµà«àª¯à« àªà«àªµàªŸ àª®àªŸàªà« àªªà«àª°à«àªà«àª°àªŸàª®àªšà« àª²à«àªšà«àª àªàª®àªŸàªšà«àª¡àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à«. àª¯àªŸàªŠ àª°àªŸàªà« àªà« àªžàªàªà«àª°àª¹àªšàªŸ àªžàª°àªšàªŸàª®àªŸàª àª®àªŸàªà«Â %1àªšà« àªªà«àª²à«àª¶àª¹à«àª²à«àª¡àª° àª€àª°à«àªà« àªàªªàª¯à«àª àªàª°à«, àª
+àªšà« àªà« àªàª°à«àª° àª¹à«àª¯ àª€à« àªžà«àªªà«àªàª®àªŸàª°à«àªà«àªžàªšà« àªàªªàª¯à«àª àªàª°à«.
+Preferences.Connection.Proxy_Host:àªªà«àª°à«àªà«àª·à« àª¹à«àªžà«àª:
+Preferences.Connection.Proxy_Host_Tooltip:àªªà«àª°à«àªà«àª·à« àªžàª°à«àªµàª°àªšà«àª àªžàª°àªšàªŸàª®à«àª
+Preferences.Connection.Proxy_Port:àªªà«àª°à«àªà«àª·à« àªªà«àª°à«àª:
+Preferences.Connection.Proxy_Port_Tooltip:àª€àª®àªŸàª°àªŸ àªªà«àª°à«àªà«àª·à« àªžàª°à«àªµàª°àªšà« àªªà«àª°à«àª àªšàªàª¬àª°
+Preferences.Connection.Proxy_Host_Missing:àªªà«àª°à«àªà«àª·à« àª¹à«àªžà«àª àª®àªŸàªà« àªµà«àª²à«àª¯à« àªŠàªŸàªàª² àªàª°à« àª
+àª¥àªµàªŸ àªàªšà«àªà«àª¶àªš àªà«àª¬àª®àªŸàª 'àªªà«àª°à«àªà«àª·à« àªàªšà«àªà«àª¶àªšàªšà« àªàªªàª¯à«àª àªàª°à«' àªšà« àª¬àªàª§ àªàª°à«.
+Preferences.Connection.Servlet:àªžàª°à«àªµàª²à«àª:
+Preferences.Connection.Servlet_Tooltip:àª€àª®àªŸàª°à« àªžàªŸàªàª àªà«àªµàªŸ àª®àªŸàªà« àªžàª°à«àªµàª²à«àªàªšà« àª¥àª€à« àªàªªàª¯à«àª
+Preferences.Connection.Servlet_Tooltip2:àª àªžàªŸàªàª àª®àªŸàªà« àªà«àª àªžàª°à«àªµàª²à«àª àªšàªà«àªà« àªàª°à«àª¯à«àª àªšàª¥à«, àª€à«àª® àªàª€àªŸàª àª€àª®à« àªžàªàªà«àª°àª¹à«àªšà« àª¬àª¿àª²à«àª¡ àªàª°à« àª¶àªà« àªà«, àªªàª°àªàª€à« àª€àª®à« àª€à«àªšà« àªà«àª àª¶àªàª¶à« àªšàª¹à«àª
+Preferences.Connection.Site:àªžàªŸàªàª:
+Preferences.Connection.Site_Tooltip:àªžàªŸàªàª àªà« àªà«àª®àªŸàª àª€àª®à« àªàªŸàª® àªàª°àªµàªŸ àª®àªŸàªàªà« àªà«
+Preferences.Connection.Use_Proxy:àªªà«àª°à«àªà«àª·à« àªàªšà«àªà«àª¶àªš àªàªªàª¯à«àª àªàª°àªµà«àª àªà«?
+Preferences.General:àªžàª°à«àªµàªžàªŸàª§àªŸàª°àª£
+Preferences.General_Tooltip:àª
+àª®à«àª àªžàª°à«àªµàªžàªŸàª§àªŸàª°àª£ àªªà«àª°à«àª«à«àª°à«àªšà«àªžàª¿àª àªžà«àª àªàª°à«
+Preferences.General.Email:àªàªªàª­à«àªà«àª€àªŸàªšà« àªàª®à«àªàª²:
+Preferences.General.Email_Tooltip:GLIàª®àªŸàª àª€à«àª¯àªŸàª° àªàª°à«àª² àªà«àªàªªàª£ àªžàªàªà«àª°àª¹àª®àªŸàª àª àªàª®à«àªàª² àªžàª°àªšàªŸàª®àªŸàªàªšà« àªàªªà«àªàªª àªàªªàª¯à«àª àª¥àª¯à«
+Preferences.General.Font:àª«à«àªšà«àª:
+Preferences.General.Font_Tooltip:GLI àªàªšà«àªàª°àª«à«àªž àª®àªŸàªà« àª«à«àªšà«àªàªšà« àªàªªàª¯à«àª àª¥àª¯à«.
+Preferences.General.Interface_Language:àªàªšà«àªàª°àª«à«àªž àª­àªŸàª·àªŸ:
+Preferences.General.Interface_Language_Tooltip:àªàªµà« àª­àªŸàª·àªŸ àªªàªžàªàªŠ àªàª°à« àªà« àªà«àª®àªŸàª àª€àª®à« àªàªšà«àªàª°àª«à«àªž àª
+àªšà« àª€à«àªšàªŸ àªàªàªà«àª°à«àª²à«àªžàªšà« àªªà«àª°àªŠàª°à«àª¶àªš àªàª°àªµàªŸ àª®àªŸàªàªàª€àªŸ àª¹à«àª¯.
+Preferences.General.Restart_Required:àªšàªµà« àªàªšà«àªàª°àª«à«àªž àª­àªŸàª·àªŸ àª²à«àª¡àª¿àªàªàªšà« àªªà«àª°à«àª£ àªàª°àªµàªŸ àª¹àªµà« GLI àªªà«àªš: àªàªŸàª²à« àª¥àªµà«àª àªà«àªàª.
+Preferences.General.Manual_Restart_Required:àªžà«àª§àªŸàª°à«àª² àªàªšà«àªà«àª¶àªš àªžà«àªàª¿àªàªà«àªžàªšà« àªàª£àª€àª°à«àª®àªŸàª àª²à«àªµàªŸ àª®àªŸàªà« GLI àªà«àª²àªŸàª¯àªšà«àª àªªà«àªš:àªàªŸàª²à« àªàª°à«.
+Preferences.General.Show_File_Size:àª«àªŸàªàª²àªšà« àªžàªŸàªàª àªŠàª°à«àª¶àªŸàªµà«
+Preferences.General.Show_File_Size_Tooltip:àªµàª°à«àªàªªà«àª²à«àªžàª®àªŸàª àª
+àªšà« àªžàªàªà«àª°àª¹ àª«àªŸàªàª² àªà«àª°à«àª®àªŸàª àªàªšà«àªà«àª°à«àªšà« àª¬àªŸàªà«àª®àªŸàª àª«àªŸàªàª² àªžàªŸàªàª àªŠàª°à«àª¶àªŸàªµà«.
+Preferences.General.View_Extracted_Metadata:àªàªà«àªžàªà«àª°à«àªàªà«àª¡ àª®à«àªàªŸàª¡à«àªàªŸ àªà«àª
+Preferences.General.View_Extracted_Metadata_Tooltip:àªàªšàª°à«àª àªµà«àª¯à«àª®àªŸàª àª®à«àªàªŸàª¡à«àªàªŸ àª²àª¿àªžà«àªàª®àªŸàª àªà«àª°à«àªšàªžà«àªà«àªš àªªà«àª²àªà«àªšà«àªž àªŠà«àªµàªŸàª°àªŸ àªàªà«àªžàªà«àª°à«àªà«àª àªàª°à«àª² àª®à«àªàªŸàª¡à«àªàªŸ àªªà«àª°àªŠàª°à«àª¶àª¿àª€ àªàª°à«.
+Preferences.Mode:àª°à«àª€
+Preferences.Mode_Tooltip:àª¯à«àªà«àª¯ àªžà«àª€àª°àªšà« àªàªŸàª®àªà«àª°à« àªªàªžàªàªŠ àªàª°àªµàªŸ àªàªšà«àªà«àª°à« àªªàª° àªà«àª²àª¿àª àªàª°à«
+Preferences.Mode.Assistant:àªà«àª°àªàª¥àªŸàª²àª¯ àª®àªŠàªŠàªšà«àª¶
+Preferences.Mode.Assistant_Description:àªà«àª°à«àªšàªžà«àªà«àªš àª²àªŸàªàª¬à«àª°à«àª°àª¿àª¯àªš àªàªšà«àªàª°àª«à«àªžàªšàªŸ àª®à«àª³àª­à«àª€ àªà«àª£àª§àª°à«àª®à«àªšàªŸ àªàªà«àªžà«àªžàªšà« àª²àªŸàª­ àª²à«àªµàªŸ àª®àªŸàªà« àª àªžà«àªàª¿àªàªàªšà« àªàªªàª¯à«àª àªàª°à«: àªžàªàªà«àª°àª¹à«àª®àªŸàª àªªà«àª°àª²à«àªà« àª
+àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àªàª®à«àª°àªµàªŸ, àªšàªµàªŸ àªžàªàªà«àª°àª¹à« àª€à«àª¯àªŸàª° àªàª°àªµàªŸ àªà«àªšàªŸ àªžà«àªà«àª°àªà«àªàª° àª®àª¿àª°àª° àª
+àªžà«àª€àª¿àª€à«àªµàª®àªŸàª àª¹à«àª¯, àª
+àªšà« àªžàªàªà«àª°àª¹à« àª¬àª¿àª²à«àª¡ àªàª°àªµàªŸ.
+Preferences.Mode.Librarian:àªà«àª°àªàª¥àªªàªŸàª²
+Preferences.Mode.Librarian_Description:àª àªžà«àªàª¿àªàª àªà«àª°à«àªšàªžà«àªà«àªš àª²àªŸàªàª¬à«àª°à«àª°àª¿àª¯àªš àªàªšà«àªàª°àª«à«àªžàªšàªŸ àªžàªŸàª®àªŸàªšà«àª¯ àªàªªàª¯à«àªàªšà« àªàªªàª²àª¬à«àª§ àª¬àªšàªŸàªµà« àªà«: àªšàªµà« àªžàªàªà«àª°àª¹ àª€à«àª¯àªŸàª° àªàª°àªµà« àªà« àª€à«àªšà« àª°à«àªªàª°à«àªàªŸ àª¬àªšàªŸàªµàªµà«, àªžàªàªà«àª°àª¹à«àª®àªŸàª àªªà«àª°àª²à«àªà« àª
+àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àªàª®à«àª°àªµàªŸ, àª
+àªàªšà« àªžàªàªà«àª°àª¹àªšà« àª¬àª¿àª²à«àª¡ àªàª°àªµà«àª.
+Preferences.Mode.Expert:àª€àªàªà«àª
+Preferences.Mode.Expert_Description:àª àªžà«àªàª¿àªàª àª²àªŸàªàª¬à«àª°à«àª°àª¿àª¯àªš àªàªšà«àªàª°àª«à«àªžàªšàªŸ àª€àªàªà«àª àªàªªàª¯à«àªàªšà« àªžàªà«àª°àª¿àª¯ àªàª°à« àªà«. àªà« àªàªªàª­à«àªà«àª€àªŸàªàªšà« àªà«àª°à«àªšàªžà«àªà«àªšàªšà« àª
+àªšà«àª­àªµ àªà«, àª
+àªšà« àª®à«àª¶à«àªà«àª²à«àªšàª¿àªµàªŸàª°àª£ àªà«àªµàªŸ àªàªŸàª°à«àª¯à« àªà«àª® àªà« PERL àªžà«àªà«àª°à«àªªà«àªàª®àªŸàªàª¥à« àª¡à«àª¬àªà«àªšà«àªÂ  àªàªàªàªªà«àª àªàªšà«àªàª°àªªà«àª°à«àª àªàª°àªµà«àª àªµàªà«àª°à« àªà«àªµàªŸ àªàª°à«àª¯à« àªàª°à« àª¶àªà« àª€à«àªµàªŸ àªàªªàª­à«àªà«àª€àªŸàªàªšà« àª àª àªžà«àªàª¿àªàªàªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàªšà«àª àªžà«àªàªµàªµàªŸàª®àªŸàª àªàªµà« àªà«. àªà«àª°à«àªšàªžà«àªà«àªš àª²àªŸàªàª¬à«àª°à«àª°àª¿àª¯àªš àªàªšà«àªàª°àª«à«àªžàªšàªŸ àª¬àª§àªŸàª àªà«àª£àª§àª°à«àª®à«àªšà« àªžàªà«àª°àª¿àª¯ àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«.
+Preferences.Warnings:àªà«àª€àªµàª£à«àª
+Preferences.Warnings_Tooltip:àªà«àª€àªµàª£à« àª®àªŸàªà« àªšàªŸ àªµàª¿àªµàª¿àª§ àªžàªµàªŸàªàªŠà«àªšà«Â  àªžàªà«àª°àª¿àª¯ àª
+àª¥àªµàªŸ àªšàª¿àª·à«àªà«àª°àª¿àª¯ àªàª°à«
+Preferences.Workflow:àªµàª°à«àªàª«à«àª²à«
+Preferences.Workflow_Tooltip:àªàªšà«àªàª°àª«à«àªž àªµàª°à«àªàª«à«àª²à«àªšà« àª°à«àªªàª°à«àªàªŸ àª¬àªšàªŸàªµà«: àª€à«àªšà« àªŠà«àªàªŸàªµ àªžàªà«àª°àª¿àª¯ àª¬àªšà« àª€à«àª® àªžà«àª àªàª°à«
+Preferences.Workflow.Predefined.Label:àªªà«àª°à«àªµàªµà«àª¯àªŸàªà«àª¯àªŸàª¯àª¿àª€ àªµàª°à«àªàª«à«àª²à«àª
+Preferences.Workflow.Title:àªµà«àª¯à«àªšà« àªžàªà«àª°àª¿àª¯ àªàª°àªµàªŸ àª®àªŸàªà«àªšà«àª àªà«àª àª¬à«àªà«àªž
 #**********************
 #