Index: main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- main/trunk/gli/classes/dictionary_gu.properties	(revision 30606)
+++ main/trunk/gli/classes/dictionary_gu.properties	(revision 30607)
@@ -388,4 +388,6 @@
 #
 #******ScheduldBuilt******
+ScheduleBuilt.Message:àª àªžàªàªà«àª°àª¹àªšà«àª àªžàª®àª¯àªªàª€à«àª°àª àª¬àªŠàª²àªŸàª¯Â  àªàª¯à«àª àªà«.
+ScheduleBuilt.Title:àªžàªàªà«àª°àª¹ àªžàª®àª¯àªªàª€à«àª°àª àªªàª°àª¿àª£àªŸàª®
 #***************************
 #
@@ -571,7 +573,41 @@
 #
 #****** ReplaceSrcWithHTMLPrompt *******
+ReplaceSrcWithHTMLPrompt.ReplaceSrc:HTML àªµàª°à«àªàªšàª¥à« àª°àª¿àªªà«àª²à«àª¶ àªàª°à«
+ReplaceSrcWithHTMLPrompt.ReplaceSrc_Tooltip:àªà«àª°à«àªšàªžà«àªà«àªš àªšàª¿àª°à«àª®àªŸàª£ àªàª°à« àªà« àª€à« HTML àªµàª°à«àªàªš àªžàªŸàª¥à« àª àªžà«àª°à«àªž àªªà«àª°àª²à«àª àª°àª¿àªªà«àª²à«àªž àªàª°à«.
+ReplaceSrcWithHTMLPrompt.Instructions:àªšàª¿àª°à«àª®àªŸàª£ àªªàªŸàª®à«àª² àª€à«àªšàªŸ HTML àªµàª°à«àªàªšàª¥à« àªªà«àª°àª²à«àªàªšà«Â  àª°àª¿àªªà«àª²à«àª¶ àªàª°àªµàªŸàªšà« àªàªŸàª®àªà«àª°à«, HTML àª«àªŸàªàª²àª®àªŸàª àªžà«àª§àªŸàª°à« àªàª°àªµàªŸàªšà« àª
+àªšà« àª­àªµàª¿àª·à«àª¯àª®àªŸàª àª àªžà«àª§àªŸàª°àªŸ àªàª°à«àª² àª«àªŸàªàª² àªžàªŸàª¥à« àªžàªàªà«àª°àª¹àªšà« àª°àª¿àª¬à«àª²à«àª¡ àªàª°àªµàªŸàªšà« àªà«àª àªàªªà« àªà«. àª àªàª àª
+àª«àª° àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªà« àª
+àªšà« àªàª® àª
+àªžàª² àªªà«àª°àª²à«àªà« àª°àª¿àªªà«àª²à«àª¶ àª¥àªŸàª¯ àªà« àª
+àªšà« àªžàªàªà«àª°àª¹àª®àªŸàªàª¥à« àªŠà«àª° àª¥àªŸàª¯ àªà«.
+ReplaceSrcWithHTMLPrompt.Failed_Title:HTML àªµàª°à«àªàªšàªšà« àª®àªŠàªŠàª¥à« àª°àª¿àªªà«àª²à«àª¶ àªàª°àªµàªŸàªšà« àªàªŸàª®àªà«àª°à« àªšàª¿àª·à«àª«àª³ àªàª.
+ReplaceSrcWithHTMLPrompt.Failed_ReplaceSrc:HTML àªµàª°à«àªàªšàªšà« àª®àªŠàªŠàª¥à« {0} àªªà«àª°àª²à«àªà« àª°àª¿àªªà«àª²à«àª¶ àªàª°à« àª¶àªàªŸàª¯ àª€à«àª® àªšàª¥à«.
+ReplaceSrcWithHTMLPrompt.NotSrcReplaceable:HTML àªµàª°à«àªàªšàª¥à« àª àª«àªŸàªàª²-àªªà«àª°àªàªŸàª° àª°àª¿àªªà«àª²à«àª¶ àª¥àª àª¶àªàª¶à« àªšàª¹à«àª.
+ReplaceSrcWithHTMLPrompt.Successful_ReplaceSrc:àªªàªžàªàªŠ àªàª°à«àª² àª¬àª§àªŸ àª àªªà«àª°àª²à«àªà« HTML àªµàª°à«àªàªš àªžàªŸàª¥à« àªžàª«àª³àª€àªŸàªªà«àª°à«àªµàª àª°àª¿àªªà«àª²à«àª¶ àª¥àª àªàª¯àªŸ.
+ReplaceSrcWithHTMLPrompt.Successful_Title:àªšàª¿àª°à«àª®àªŸàª£ àªªàªŸàª®à«àª² HTML àªµàª°à«àªàªš àªžàªŸàª¥à« àª°àª¿àªªà«àª²à«àª¶àªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªªà«àª°à«àª£.
+ReplaceSrcWithHTMLPrompt.Title:HTML àª«àªŸàªàª²à« àªžàªŸàª¥à« àªžà«àª°à«àªž àªªà«àª°àª²à«àªà« àª°àª¿àªªà«àª²à«àª¶ àªàª°à«
+ReplaceSrcWithHTMLPrompt.Plugin:àªàªà«àªžàªªà«àª²à«àª¡ àªàª°àªµàªŸ àª®àªŸàªà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª€àªŸ àªªà«àª²àªà«àªš
 #***********************
 #
 #****** WriteCDImagePrompt *******
+WriteCDImagePrompt.CD_Name:CD/DVD àªšàªŸàª®
+WriteCDImagePrompt.Export:CD/DVD àªàª®à«àª àª²àªà«
+WriteCDImagePrompt.Export_Tooltip:àªµàª¿àªšà«àª¡à«àª CD/DVD àªàª®à«àª àªªàª° àªšàªà«àªà« àªàª°à«àª² àªžàªàªà«àª°àª¹à« àª²àªà«
+WriteCDImagePrompt.Failed_Export:({0}) àªžàªàªà«àª°àª¹à« àªàªà«àªžàªªà«àª°à«àª àª¥àª àª¶àªà«àª¯àªŸ àªšàª¥à«.
+WriteCDImagePrompt.Failed_Title:àªàªà«àªžàªªà«àª°à«àª àªšàª¿àª·à«àª«àª³ àªàª¯à«àª
+WriteCDImagePrompt.Install:àªà«àª¯àªŸàª°à« àªà«àª àª«àªŸàªàª² àªªàª° àªàªŸàª® àªàªŸàª²à« àª¹à«àª¯ àª€à«àª¯àªŸàª°à« CD/DVD àª
+àª®à«àª àª«àªŸàªàª²à« àªàªšà«àªžà«àªà«àª² àªàª°àª¶à« (àªàª¡àªªà«)
+WriteCDImagePrompt.Install_Tooltip:àªžà«àª²à«àª«-àªàªàªžà«àªà«àª²à«àªàª CD-ROM àªªà«àª°àªžà«àª€à«àª€ àªàª°à« àªà« àªà« àª¹à«àªžà«àª àª®àª¶à«àªš àªªàª° àª²àªŸàªàª¬à«àª°à«àª°à« àªžàª°à«àªµàª° àªàªšà«àªžà«àªà«àª² àªàª°à« àªà« (àª
+àªšà« àªµà«àªàª²à«àªªàª¿àª àª°à«àª€à« àªžàªàªà«àª°àª¹àªšà« àª€àª®àªŸàª® àª«àªŸàªàª²à«).
+WriteCDImagePrompt.NoInstall:àªà«àª¯àªŸàª°à« àªà«àª àª«àªŸàªàª² àªªàª° àªàªŸàª® àªàªŸàª²à« àª¹à«àª¯ àª€à«àª¯àªŸàª°à« CD/DVD àª€à«àªµà« àªà«àª àª«àªŸàªàª² àªàªšà«àªžà«àªà«àª² àªàª°àª¶à« àªšàª¹à«àª
+WriteCDImagePrompt.NoInstall_Tooltip:àªàªµà« CD-ROMàªšà«àª àªšàª¿àª°à«àª®àªŸàª£ àªàª°à« àªà« àª¹à«àªžà«àª àª®àª¶à«àªš àªªàª° àªàªàªàªªàª£ àªàªšà«àªžà«àªà«àª² àªàª°à«àª¯àªŸ àªµàª¿àªšàªŸ àª²àªŸàªàª¬à«àª°à«àª°à« àªà«-àª€à«Â  CD-ROM àª®àªŸàªàª¥à« àªªà«àª°àª€à«àª¯àªà«àª· àª°à«àª€à« àªàªŸàª²à« àª¥àªŸàª¯.
+WriteCDImagePrompt.Instructions:àªžà«àª²à«àª«-àªàªàªžà«àªà«àª²à«àªàª CD-ROM àªàª®à«àªÂ  àªªàª° àªàª àª
+àª¥àªµàªŸ àªµàª§àªŸàª°à« àªžàªàªà«àª°àª¹à« àªàªà«àªžàªªà«àª°à«àª àªàª°à« (àªà«àª àªªàª£ àªªà«àª²à«àªàª«à«àª°à«àª® àªªàª° àªàªŸàª° àªàª°àª¶à« àª€à«àª®àªàª€àªŸàª, CD/DVD àªàª®à«àª àªà« àª€à«àª¯àªŸàª° àªàª°à«àª² àªà« àª€à« àª®àªŸàª€à«àª° àªµàª¿àªšà«àª¡à«àª àªªàª° àªàªŸàª® àªàª°àª¶à«).
+WriteCDImagePrompt.Progress_Label:àª«àªŸàªàª²à« àªà«àªªà« àª¥àª àª°àª¹à« àªà«. àª àªàªŸàª°à«àª¯ àª¥à«àª¡à« àªžàª®àª¯ àª²à«àª¶à«âŠ
+WriteCDImagePrompt.Size_Label:àª
+àªàªŠàªŸàªà«àª€ àªžàªŸàªàªâŠ
+WriteCDImagePrompt.Successful_Export:({0}) àªžàªàªà«àª°àª¹à« àªàªà«àªžàªªà«àª°à«àª àª¥àª àªà«àªà«àª¯àªŸ àªà«.
+WriteCDImagePrompt.Successful_Title:àªàªà«àªžàªªà«àª°à«àª àªªà«àª°à«àª£
+WriteCDImagePrompt.Title:CD-ROMàª®àªŸàª àªžàªàªà«àª°àª¹ àªàªà«àªžàªªà«àª°à«àª àªàª°à«
 #************************
 #
@@ -1227,34 +1263,78 @@
 #
 #**** PreviewCommandDialog *******
+PreviewCommandDialog.Instructions:àªªà«àª°à«àªà«àª°àªŸàª® àªà«àª²à«àªšà« àªžàªàªà«àª°àª¹àªšà«àª  àªªà«àª°àª¿àªµà«àª¯à« àªà«àªµàªŸ àª®àªŸàªà« àªàª®àªŸàªšà«àª¡ àªŠàªŸàªàª² àªàª°à«. àª¯àªŸàªŠ àª°àªŸàªà«, àªžàªàªà«àª°àª¹àªšàªŸ àªžàª°àªšàªŸàª®àªŸàªàªšàªŸ àªªà«àª²à«àªžàª¹à«àª²à«àª¡àª° àª®àªŸàªà« %1àªšà« àªàªªàª¯à«àª àªàª°à«, àª
+àªšà« àªà«àª¯àªŸàª àªàª°à«àª° àªàª£àªŸàª¯ àª€à«àª¯àªŸàª àªžà«àªªà«àªàª®àªŸàª°à«àªà«àªžàªšà« àªàªªàª¯à«àª àªàª°à«.
+PreviewCommandDialog.Title:àªàª®àªŸàªšà«àª¡ àªªà«àª°àª¿àªµà«àª¯à« àªàª°à«
 
+ShowPreviousCollection.Title:àª
+àªàªŸàª àª¬àª¿àª²à«àª àª¥àª¯à«àª² àªžàªàªà«àª°àª¹àªšà«àª àªªà«àª°à«àªµà«àª¯à« àªà«àª
+ShowPreviousCollection.Message:àª­à«àª² àªà«àªµàªŸ àª®àª³à« àª
+àªšà« àªžàªàªà«àª°àª¹ àª¬àª¿àª²à«àª¡ àª¥àª àª¶àªà«àª¯à«àª àªšàª¥à«. àª€àª®à« àªà« àªžàªàªà«àª°àª¹àªšà«àª àªªà«àª°à«àªµà«àª¯à« àªà«àª àª°àª¹à«àª¯àªŸ àªà« àª€à« àª
+àªàªŸàª àª¬àª¿àª²à«àª¡ àª¥àª¯à«àª² àªà«.
 #**********************
 #
 #***** Remote Greenstone Server *****
+RemoteGreenstoneServer.Authentication_Message:àªà«àªªàªŸ àªàª°à« àª€àª®àªŸàª°à« àªà«àª°à«àªšàªžà«àªà«àªš àª¯à«àªàª°àªšàªŸàª® àª
+àªšà« àªªàªŸàªžàªµàª°à«àª¡ àªŠàªŸàªàª² àªàª°à«:
+RemoteGreenstoneServer.Authentication_Message_gs3:àªà«àªªàªŸ àªàª°à« àª€àª®àªŸàª°à« àªà«àª°à«àªšàªžà«àªà«àªš àª¯à«àªàª°àªšàªŸàª® àª
+àªšà« àªªàªŸàªžàªµàª°à«àª¡ àªžàªŸàªàª àªªàª° àªŠàªŸàªàª² àªàª°à«:
+RemoteGreenstoneServer.Error:àª àªàªŸàª®àªà«àª°à« àªàª°àª€à« àªµàªàª€à« àª°àª¿àª®à«àª àªà«àª°à«àªšàªžà«àªà«àªš àªžàª°à«àªµàª° àªªàª° àª­à«àª² àªà«àªµàªŸ àª®àª³à«::\n{0-Error message}
+RemoteGreenstoneServer.Error_Title:àª°àª¿àª®à«àª àªà«àª°à«àªšàªžà«àªà«àªš àªžàª°à«àªµàª° àª­à«àª²
+RemoteGreenstoneServer.Progress:àª°àª¿àª®à«àª àªà«àª°à«àªšàªžà«àªà«àªš àªžàª°à«àªµàª° àª­à«àª²
+RemoteGreenstoneServer.Steal_Lock_Message:àª àªžàªàªà«àª°àª¹àªšà« àª€àªŸàªà«àª€àª°àª®àªŸàªÂ  '{0-User name}' àª¯à«àªàª° àªŠà«àªµàªŸàª°àªŸ àªžà«àª¥àªàª¿àª€ àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à«àª àªà«. \n àª€àª®à« àª àª²à«àª àª«àªŸàªàª²àªšàªŸ àªšàª¿àª¯àªàª€à«àª°àª£àªšà« àªà«àªªàªŸàªµàªµàªŸ àª®àªŸàªàªà« àªà« (àªžà«àªàªšàªŸ àªàªªà« àªšàª¥à«, àªàª°à«àª² àªàªŸàª®àªà«àª°à« àªšàª·à«àª àª¥àª¶à«)?
 #**********************
 #
 #***** Rename Prompt *****
+RenamePrompt.Name:àªšàªŸàª®:
+RenamePrompt.Title:àª«àªŸàªàª²/àª«à«àª²à«àª¡àª°àªšàªŸ àªšàªŸàª®àª®àªŸàª àªžà«àª§àªŸàª°à« àªàª°à«
 #**********************
 #
 #***** Replace Prompt *****
+ReplacePrompt.Title:...àªšà« àªàªà«àª¯àªŸàª àª«àªŸàªàª²àªšà« àª°àª¿àªªà«àª²à«àª¶ àªàª°à«
 #**********************
 #
 #***** Save Collection Box *****
+SaveCollectionBox.File_Name:àª«àªŸàªàª² àªšàªŸàª®:
+SaveCollectionBox.Files_Of_Type:àª«àªŸàªàª² àªªà«àª°àªàªŸàª°:
+SaveCollectionBox.Look_In:àª
+àªàªŠàª°Â  àªà«àª:
 #**********************
 #
 #***** Save Progress Box *******
+SaveProgressDialog.Title:àªžàªàªà«àª°àª¹ àªžà«àªµ àªàª°à«àªšà«
 #*******************************
 #
+Server.QuitManual:àª²àªŸàªàª¬à«àª°à«àª°à«àª¯àªš àªàªšà«àªàª°àª«à«àª¶ àªžà«àª¥àªŸàªšàª¿àª\n àª²àªŸàªàª¬à«àª°à«àª°à« àªžàª°à«àªµàª°àªšà« àªžà«àªµàª¯àª àª¬àªàª§Â  àªàª°àªµàªŸ àªžàªà«àª·àª® àªš àª¹àª€à«àª. àª²àªŸàªàª¬à«àª°à«àª°à« àªžàª°à«àªµàª°àªšà« àªžà«àª¥à« àªàªªàª° \nàªàª®àª£à« àª¬àªŸàªà« àª¬àªŸàªà« àªà«àªàª¡à«àªšàªŸ àªàª¿àª¹à«àªš àªªàª° àªàª²àª¿àª àªàª°à« àªà«àªªàªŸ àªàª°à« àª€à«àªšà« àª®à«àªšà«àª¯à«àª
+àª²à« àª¬àªàª§ àªàª°à«, àª€à«àª¯àªŸàª°àª¬àªŸàªŠ àª àª¡àªŸàª¯àª²à«àª àªªàª° àª¬àª°àªŸàª¬àª° àª¬àªàªš àªªàª° àªà«àª²àª¿àª àªàª°à«.
+Server.QuitTimeOut:{0} àªà«àª·àª£à« àª®àªŸàªà« àªà«àª°à«àªšàªžà«àªà«àªš àªžà«àª¥àªŸàªšàª¿àª àª²àªŸàªàª¬à«àª°à«àª°à« àªžà«àªµàª¯àª àª¬àªàª§ àªàª®àªŸàªšà«àª¡àªšà« àªªà«àª°àª€à«àª¯à«àª€à«àª€àª°Â  àªàªªà«àª¯à« àªšàª¥à«. àª€àª®à« àª¥à«àª¡à« àªµàª§àªŸàª°à«Â {0} àªà«àª·àª£à« àª®àªŸàªà« àª°àªŸàª¹ àªà«àªµàªŸ àª®àªŸàªàªà« àªà«?
+Server.StartUpTimeOut:{0} àªà«àª·àª£à« àª®àªŸàªà«Â àªà«àª°à«àªšàªžà«àªà«àªš àªžà«àª¥àªŸàªšàª¿àª àª²àªŸàªàª¬à«àª°à«àª°à« \n àªžà«àªàªŸàª°à«àª àªàª®àªŸàªšà«àª¡àªšà« àªªà«àª°àª€à«àª¯à«àª€à«àª€àª° àªàªªà«àª¯à« àªšàª¥à«. àª€àª®à« àª¥à«àª¡à« àªµàª§àªŸàª°à«Â {0} àªà«àª·àª£à« àª®àªŸàªà« àª°àªŸàª¹ àªà«àªµàªŸ àª®àªŸàªàªà« àªà«?
+Server.Reconfigure:àª€àª®à«àª àª¥à«àª¡à« àªà«àª·àª£à« àªªàª¹à«àª²àªŸ àª collecthomeàª®àªŸàª àªžà«àª§àªŸàª°àªŸ àªàª°à«àª¯àªŸ àªà«.\n GLI àªµà«àª¬àªžàª°à«àªµàª° àªàªŸàª²à« àªàª°à«àª¯à«àª àªš àª¹à«àªµàªŸàª¥à«, àª àª°à«àªàªšà«àª«àª¿àªà«àª¯à«àª°àª àªžà«àªµàª¯àª àª°à«àª€à« àªàª°à« àª¶àªàª€à«àª àªšàª¥à«.\ncollecthome àª®àªŸàª àª¥àª¯à«àª²àªŸ àªžà«àª§àªŸàª°àªŸàªšà« àªªàª¹à«àªàªà« àªµàª³àªµàªŸ àª®àªŸàªà« àªà«àªªàªŸ àªàª°à« àª€àª®àªŸàª°àªŸ àªžàª°à«àªµàª°àªšà«Â  àª®à«àªšà«àª¯à«àª
+àª²à« àªàªšà«àª«àª¿àªà«àª¯à«àª° àªàª°à«.
 #
 #***** Sources *****
+Source.General:àªžàª°à«àªµàªžàªŸàª§àªŸàª°àª£
 #**********************
 #
 #***** Trees *****
+Tree.DownloadedFiles:àª¡àªŸàªàªšàª²à«àª¡ àªàª°à«àª² àª«àªŸàªàª²à«
+Tree.Files:àª«àªŸàªàª²à«
+Tree.Home:àª¹à«àª® àª«à«àª²à«àª¡àª° ({0})
+Tree.Root:àªžà«àª¥àªŸàªšàª¿àª àª«àªŸàªàª²àªžà«àªªà«àªž
+Tree.World:àªà«àª°à«àªšàªžà«àªà«àªš àªžàªàªà«àª°àª¹à«àª®àªŸàª àª°àª¹à«àª²àªŸ àªªà«àª°àª²à«àªà«
 #***********************
 #
 #***** Warning Dialog *****
+WarningDialog.Dont_Show_Again:àª àªà«àª€àªµàª£à« àª«àª°à«àªµàªŸàª° àª¬àª€àªŸàªµàª¶à« àªšàª¹à«àª
+WarningDialog.Dont_Show_Again_Message:àª àªžàªàªŠà«àª¶ àª«àª°à«àªµàªŸàª° àª¬àª€àªŸàªµàª¶à« àªšàª¹à«àª
+WarningDialog.Invalid_Value:àªšàªà«àªà« àªàª°à«àª² àªªà«àª°à«àªªàª°à«àªà« àª®àªŸàªà« àª€àª®à« àªà« àª®à«àª²à«àª¯ àªµà«àª²à«àª¯à« àª«àª¿àª²à«àª¡àª®àªŸàª àªŠàªŸàªàª² àªàª°à«àª² àªà« àª€à« àª®àªŸàªšà«àª¯ àªšàª¥à«.
+WarningDialog.Value:àª®à«àª²à«àª¯ àªŠàªŸàªàª² àªàª°à«:
 #
 #****** WGet *****
+WGet.Prompt:WGet Mirroring Client
 #
 #****** Workflows *****
+Workflow.AllPanels:àª¬àª§à« àªªà«àªšàª²à«:
+Workflow.LocalSourceCollectionBuilding:àªžà«àª¥àªŸàªšàª¿àª àªžà«àª°à«àªž àªžàªàªà«àª°àª¹ àª¬àª¿àª²à«àª¡à«àªàª
+Workflow.DocumentEnriching:àªªà«àª°àª²à«àª àªàªšàª°à«àª àª¥àª àª°àª¹à«àª¯à« àªà«
 
 