Index: /main/trunk/gli/help/gu/help.xml
===================================================================
--- /main/trunk/gli/help/gu/help.xml	(revision 30610)
+++ /main/trunk/gli/help/gu/help.xml	(revision 30610)
@@ -0,0 +1,236 @@
+<?xml version="1.0"?>
+<!DOCTYPE TutorialList [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">
+]>
+<Document>
+<Section name="introduction">
+<Title>
+<Text id="1">àªªà«àª°àªžà«àª€àªŸàªµàªšàªŸ</Text>
+</Title>
+<Section name="ofmiceandmenus">
+<Title>
+</Title>
+</Section>
+<Section name="howtoavoidthisdocument">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="startingoff">
+<Title>
+</Title>
+<Section name="creatingacollection">
+<Title>
+</Title>
+</Section>
+<Section name="savingacollection">
+<Title>
+</Title>
+</Section>
+<Section name="openingacollection">
+<Title>
+</Title>
+</Section>
+<Section name="deletingcollections">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="downloadingfiles">
+<Title>
+</Title>
+<Section name="themirrorview">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="collectingfiles">
+<Title>
+</Title>
+<Section name="thegatherview">
+<Title>
+</Title>
+</Section>
+<Section name="creatingshortcuts">
+<Title>
+</Title>
+</Section>
+<Section name="creatingfolders">
+<Title>
+</Title>
+</Section>
+<Section name="addingfiles">
+<Title>
+</Title>
+</Section>
+<Section name="replacingfiles">
+<Title>
+</Title>
+</Section>
+<Section name="removingfiles">
+<Title>
+</Title>
+</Section>
+<Section name="explodingfiles">
+<Title>
+</Title>
+</Section>
+<Section name="filteringthetree">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="enrichingacollection">
+<Title>
+</Title>
+<Section name="theenrichview">
+<Title>
+</Title>
+</Section>
+<Section name="selectingmetadatasets">
+<Title>
+</Title>
+</Section>
+<Section name="appendingmetadata">
+<Title>
+</Title>
+</Section>
+<Section name="addingpreviouslydefinedmetadata">
+<Title>
+</Title>
+</Section>
+<Section name="updatingmetadata">
+<Title>
+</Title>
+</Section>
+<Section name="reviewingmetadata">
+<Title>
+</Title>
+<Text id="100">àªà« àªµàª§àªŸàª°à« àª«àªŸàªàª²à« àªªàªžàªàªŠ àªàª°à«àª² àª¹à«àª¯ àª€à« àªà«àª¬àª² àª€à«àª¯àªŸàª° àªàª°àªµàªŸàª®àªŸàª àª
+àª®à«àª àªžàª®àª¯ àª²àªŸàªà« àª¶àªà« àªà«. àªà«àª¯àªŸàª°à« "àª€àª®àªŸàª® àª®à«àªàªŸàª¡à«àªàªŸ' àªµàª¿àªšà«àª¡à« àªà«àª²à«àª²à« àª¹à«àª¯ àª€à«àª¯àªŸàª°à« àª€àª®à« àª²àªŸàªàª¬à«àª°à«àª°à«àª¯àªš àªàªšà«àªàª°àª«à«àª¶àªšà« àª
+àªµàª¿àª°àª€ àªàªªàª¯à«àª àªàª°à« àª¶àªà« àªà«.</Text>
+</Section>
+<Section name="importingpreviouslyassignedmetadata">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="designingacollection">
+<Title>
+</Title>
+<Section name="thedesignview">
+<Title>
+</Title>
+</Section>
+<Section name="plugins">
+<Title>
+</Title>
+</Section>
+<Section name="searchindexes">
+<Title>
+</Title>
+<Section name="searchindexoptions">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="partitionindexes">
+<Title>
+</Title>
+<Section name="definefilters">
+<Title>
+</Title>
+</Section>
+<Section name="assignpartitions">
+<Title>
+</Title>
+</Section>
+<Section name="assignlanguages">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="classifiers">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="producingthecollection">
+<Title>
+</Title>
+<Section name="thecreateview">
+<Title>
+</Title>
+</Section>
+<Section name="builderrors">
+<Title>
+</Title>
+</Section>
+<Section name="expertbuilding">
+<Title>
+</Title>
+</Section>
+<Section name="scheduledbuilding">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="formattingacollection">
+<Title>
+</Title>
+<Section name="theformatview">
+<Title>
+</Title>
+</Section>
+<Section name="generalsettings">
+<Title>
+</Title>
+</Section>
+<Section name="searchmetadatasettings">
+<Title>
+</Title>
+</Section>
+<Section name="formatstatements">
+<Title>
+</Title>
+</Section>
+<Section name="translatetext">
+<Title>
+</Title>
+</Section>
+<Section name="xcollectionsearching">
+<Title>
+</Title>
+</Section>
+<Section name="collectionspecificmacros">
+<Title>
+</Title>
+</Section>
+<Section name="depositormetadatasettings">
+<Title>
+</Title>
+</Section>
+</Section>
+<Section name="miscellaneous">
+<Title>
+</Title>
+<Section name="preferences">
+<Title>
+</Title>
+</Section>
+<Section name="fileassociations">
+<Title>
+</Title>
+</Section>
+<Section name="exporting">
+<Title>
+</Title>
+</Section>
+<Section name="exportingcollections">
+<Title>
+</Title>
+</Section>
+</Section>
+</Document>
Index: /main/trunk/gli/help/gu/help_index.xml
===================================================================
--- /main/trunk/gli/help/gu/help_index.xml	(revision 30610)
+++ /main/trunk/gli/help/gu/help_index.xml	(revision 30610)
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<Document><Section name="introduction"><Title/><Section name="ofmiceandmenus"><Title/></Section><Section name="howtoavoidthisdocument"><Title/></Section></Section><Section name="startingoff"><Title/><Section name="creatingacollection"><Title/></Section><Section name="savingacollection"><Title/></Section><Section name="openingacollection"><Title/></Section><Section name="deletingcollections"><Title/></Section></Section><Section name="downloadingfiles"><Title/><Section name="themirrorview"><Title/></Section></Section><Section name="collectingfiles"><Title/><Section name="thegatherview"><Title/></Section><Section name="creatingshortcuts"><Title/></Section><Section name="creatingfolders"><Title/></Section><Section name="addingfiles"><Title/></Section><Section name="replacingfiles"><Title/></Section><Section name="removingfiles"><Title/></Section><Section name="explodingfiles"><Title/></Section><Section name="filteringthetree"><Title/></Section></Section><Section name="enrichingacollection"><Title/><Section name="theenrichview"><Title/></Section><Section name="selectingmetadatasets"><Title/></Section><Section name="appendingmetadata"><Title/></Section><Section name="addingpreviouslydefinedmetadata"><Title/></Section><Section name="updatingmetadata"><Title/></Section><Section name="reviewingmetadata"><Title/></Section><Section name="importingpreviouslyassignedmetadata"><Title/></Section></Section><Section name="designingacollection"><Title/><Section name="thedesignview"><Title/></Section><Section name="plugins"><Title/></Section><Section name="searchindexes"><Title/><Section name="searchindexoptions"><Title/></Section></Section><Section name="partitionindexes"><Title/><Section name="definefilters"><Title/></Section><Section name="assignpartitions"><Title/></Section><Section name="assignlanguages"><Title/></Section></Section><Section name="classifiers"><Title/></Section></Section><Section name="producingthecollection"><Title/><Section name="thecreateview"><Title/></Section><Section name="builderrors"><Title/></Section><Section name="expertbuilding"><Title/></Section><Section name="scheduledbuilding"><Title/></Section></Section><Section name="formattingacollection"><Title/><Section name="theformatview"><Title/></Section><Section name="generalsettings"><Title/></Section><Section name="searchmetadatasettings"><Title/></Section><Section name="formatstatements"><Title/></Section><Section name="translatetext"><Title/></Section><Section name="xcollectionsearching"><Title/></Section><Section name="collectionspecificmacros"><Title/></Section><Section name="depositormetadatasettings"><Title/></Section></Section><Section name="miscellaneous"><Title/><Section name="preferences"><Title/></Section><Section name="fileassociations"><Title/></Section><Section name="exporting"><Title/></Section><Section name="exportingcollections"><Title/></Section></Section></Document>